<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Tue Apr 28 17:10:07 CEST 2020 -->
<title>Uses of Interface org.polarsys.chess.mobius.model.SAN.NamedElement</title>
<meta name="date" content="2020-04-28">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface org.polarsys.chess.mobius.model.SAN.NamedElement";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/NamedElement.html" title="interface in org.polarsys.chess.mobius.model.SAN">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/polarsys/chess/mobius/model/SAN/class-use/NamedElement.html" target="_top">Frames</a></li>
<li><a href="NamedElement.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Interface org.polarsys.chess.mobius.model.SAN.NamedElement" class="title">Uses of Interface<br>org.polarsys.chess.mobius.model.SAN.NamedElement</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/NamedElement.html" title="interface in org.polarsys.chess.mobius.model.SAN">NamedElement</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.polarsys.chess.mobius.model.SAN">org.polarsys.chess.mobius.model.SAN</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.polarsys.chess.mobius.model.SAN.impl">org.polarsys.chess.mobius.model.SAN.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.polarsys.chess.mobius.model.SAN.util">org.polarsys.chess.mobius.model.SAN.util</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.polarsys.chess.mobius.model.SAN">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/NamedElement.html" title="interface in org.polarsys.chess.mobius.model.SAN">NamedElement</a> in <a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/package-summary.html">org.polarsys.chess.mobius.model.SAN</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subinterfaces, and an explanation">
<caption><span>Subinterfaces of <a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/NamedElement.html" title="interface in org.polarsys.chess.mobius.model.SAN">NamedElement</a> in <a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/package-summary.html">org.polarsys.chess.mobius.model.SAN</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Interface and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/Activity.html" title="interface in org.polarsys.chess.mobius.model.SAN">Activity</a></span></code>
<div class="block">A representation of the model object '<em><b>Activity</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/AtomicNode.html" title="interface in org.polarsys.chess.mobius.model.SAN">AtomicNode</a></span></code>
<div class="block">A representation of the model object '<em><b>Atomic Node</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/ComposedNode.html" title="interface in org.polarsys.chess.mobius.model.SAN">ComposedNode</a></span></code>
<div class="block">A representation of the model object '<em><b>Composed Node</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/Gate.html" title="interface in org.polarsys.chess.mobius.model.SAN">Gate</a></span></code>
<div class="block">A representation of the model object '<em><b>Gate</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/GlobalVariable.html" title="interface in org.polarsys.chess.mobius.model.SAN">GlobalVariable</a></span></code>
<div class="block">A representation of the model object '<em><b>Global Variable</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/InputGate.html" title="interface in org.polarsys.chess.mobius.model.SAN">InputGate</a></span></code>
<div class="block">A representation of the model object '<em><b>Input Gate</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/InstantaneousActivity.html" title="interface in org.polarsys.chess.mobius.model.SAN">InstantaneousActivity</a></span></code>
<div class="block">A representation of the model object '<em><b>Instantaneous Activity</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/Join.html" title="interface in org.polarsys.chess.mobius.model.SAN">Join</a></span></code>
<div class="block">A representation of the model object '<em><b>Join</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/Node.html" title="interface in org.polarsys.chess.mobius.model.SAN">Node</a></span></code>
<div class="block">A representation of the model object '<em><b>Node</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/OutputGate.html" title="interface in org.polarsys.chess.mobius.model.SAN">OutputGate</a></span></code>
<div class="block">A representation of the model object '<em><b>Output Gate</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/Place.html" title="interface in org.polarsys.chess.mobius.model.SAN">Place</a></span></code>
<div class="block">A representation of the model object '<em><b>Place</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/Primitive.html" title="interface in org.polarsys.chess.mobius.model.SAN">Primitive</a></span></code>
<div class="block">A representation of the model object '<em><b>Primitive</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/Rep.html" title="interface in org.polarsys.chess.mobius.model.SAN">Rep</a></span></code>
<div class="block">A representation of the model object '<em><b>Rep</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/SANModel.html" title="interface in org.polarsys.chess.mobius.model.SAN">SANModel</a></span></code>
<div class="block">A representation of the model object '<em><b>SAN Model</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/SharedState.html" title="interface in org.polarsys.chess.mobius.model.SAN">SharedState</a></span></code>
<div class="block">A representation of the model object '<em><b>Shared State</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/TimedActivity.html" title="interface in org.polarsys.chess.mobius.model.SAN">TimedActivity</a></span></code>
<div class="block">A representation of the model object '<em><b>Timed Activity</b></em>'.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.polarsys.chess.mobius.model.SAN.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/NamedElement.html" title="interface in org.polarsys.chess.mobius.model.SAN">NamedElement</a> in <a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/impl/package-summary.html">org.polarsys.chess.mobius.model.SAN.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/impl/package-summary.html">org.polarsys.chess.mobius.model.SAN.impl</a> that implement <a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/NamedElement.html" title="interface in org.polarsys.chess.mobius.model.SAN">NamedElement</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/impl/ActivityImpl.html" title="class in org.polarsys.chess.mobius.model.SAN.impl">ActivityImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Activity</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/impl/AtomicNodeImpl.html" title="class in org.polarsys.chess.mobius.model.SAN.impl">AtomicNodeImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Atomic Node</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/impl/ComposedNodeImpl.html" title="class in org.polarsys.chess.mobius.model.SAN.impl">ComposedNodeImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Composed Node</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/impl/GateImpl.html" title="class in org.polarsys.chess.mobius.model.SAN.impl">GateImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Gate</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/impl/GlobalVariableImpl.html" title="class in org.polarsys.chess.mobius.model.SAN.impl">GlobalVariableImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Global Variable</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/impl/InputGateImpl.html" title="class in org.polarsys.chess.mobius.model.SAN.impl">InputGateImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Input Gate</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/impl/InstantaneousActivityImpl.html" title="class in org.polarsys.chess.mobius.model.SAN.impl">InstantaneousActivityImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Instantaneous Activity</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/impl/JoinImpl.html" title="class in org.polarsys.chess.mobius.model.SAN.impl">JoinImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Join</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/impl/NamedElementImpl.html" title="class in org.polarsys.chess.mobius.model.SAN.impl">NamedElementImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Named Element</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/impl/NodeImpl.html" title="class in org.polarsys.chess.mobius.model.SAN.impl">NodeImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Node</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/impl/OutputGateImpl.html" title="class in org.polarsys.chess.mobius.model.SAN.impl">OutputGateImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Output Gate</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/impl/PlaceImpl.html" title="class in org.polarsys.chess.mobius.model.SAN.impl">PlaceImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Place</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/impl/PrimitiveImpl.html" title="class in org.polarsys.chess.mobius.model.SAN.impl">PrimitiveImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Primitive</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/impl/RepImpl.html" title="class in org.polarsys.chess.mobius.model.SAN.impl">RepImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Rep</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/impl/SANModelImpl.html" title="class in org.polarsys.chess.mobius.model.SAN.impl">SANModelImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>SAN Model</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/impl/SharedStateImpl.html" title="class in org.polarsys.chess.mobius.model.SAN.impl">SharedStateImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Shared State</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/impl/TimedActivityImpl.html" title="class in org.polarsys.chess.mobius.model.SAN.impl">TimedActivityImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Timed Activity</b></em>'.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.polarsys.chess.mobius.model.SAN.util">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/NamedElement.html" title="interface in org.polarsys.chess.mobius.model.SAN">NamedElement</a> in <a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/util/package-summary.html">org.polarsys.chess.mobius.model.SAN.util</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/util/package-summary.html">org.polarsys.chess.mobius.model.SAN.util</a> with parameters of type <a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/NamedElement.html" title="interface in org.polarsys.chess.mobius.model.SAN">NamedElement</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/util/SANModelSwitch.html" title="type parameter in SANModelSwitch">T</a></code></td>
<td class="colLast"><span class="typeNameLabel">SANModelSwitch.</span><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/util/SANModelSwitch.html#caseNamedElement-org.polarsys.chess.mobius.model.SAN.NamedElement-">caseNamedElement</a></span>(<a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/NamedElement.html" title="interface in org.polarsys.chess.mobius.model.SAN">NamedElement</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Named Element</em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">SANModelValidator.</span><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/util/SANModelValidator.html#validateNamedElement_validate-org.polarsys.chess.mobius.model.SAN.NamedElement-org.eclipse.emf.common.util.DiagnosticChain-java.util.Map-">validateNamedElement_validate</a></span>(<a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/NamedElement.html" title="interface in org.polarsys.chess.mobius.model.SAN">NamedElement</a>&nbsp;namedElement,
                             org.eclipse.emf.common.util.DiagnosticChain&nbsp;diagnostics,
                             java.util.Map&lt;java.lang.Object,java.lang.Object&gt;&nbsp;context)</code>
<div class="block">Validates the validate constraint of '<em>Named Element</em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">SANModelValidator.</span><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/util/SANModelValidator.html#validateNamedElement-org.polarsys.chess.mobius.model.SAN.NamedElement-org.eclipse.emf.common.util.DiagnosticChain-java.util.Map-">validateNamedElement</a></span>(<a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/NamedElement.html" title="interface in org.polarsys.chess.mobius.model.SAN">NamedElement</a>&nbsp;namedElement,
                    org.eclipse.emf.common.util.DiagnosticChain&nbsp;diagnostics,
                    java.util.Map&lt;java.lang.Object,java.lang.Object&gt;&nbsp;context)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../../org/polarsys/chess/mobius/model/SAN/NamedElement.html" title="interface in org.polarsys.chess.mobius.model.SAN">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/polarsys/chess/mobius/model/SAN/class-use/NamedElement.html" target="_top">Frames</a></li>
<li><a href="NamedElement.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
